summaryrefslogtreecommitdiffstats
path: root/cm-container/setup-secret.sh
diff options
context:
space:
mode:
authorJack Lucas <jflucas@research.att.com>2018-12-04 15:02:06 -0500
committerJack Lucas <jflucas@research.att.com>2018-12-04 15:03:25 -0500
commit8ad4f6db9865a9a9fb9076c9ce9e07e91a1519ea (patch)
tree9995d6441f1c378dc3a56fea4eb2f93aae53d164 /cm-container/setup-secret.sh
parente24fb188c483acce93fc5419690792c2300161cf (diff)
Add persistent storage for CM state information
Issue-ID: DCAEGEN2-990 Change-Id: I122e541d6ea0fa6bca06157d6ae7a330048d2ed7 Signed-off-by: Jack Lucas <jflucas@research.att.com>
Diffstat (limited to 'cm-container/setup-secret.sh')
-rwxr-xr-xcm-container/setup-secret.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/cm-container/setup-secret.sh b/cm-container/setup-secret.sh
new file mode 100755
index 0000000..848ed28
--- /dev/null
+++ b/cm-container/setup-secret.sh
@@ -0,0 +1,27 @@
+
+#!/bin/bash
+# ================================================================================
+# Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+# Set up credentials for CM to access k8s
+# (formerly done in a postStart hook, which now seems to have timing issues)
+
+set -ex
+
+if [ ! -d /var/run/secrets/kubernetes.io/serviceaccount ]
+then
+ mkdir -p /var/run/secrets/kubernetes.io/
+ ln -s /secret/ /var/run/secrets/kubernetes.io/serviceaccount
+fi